Register Guidelines E-Books Search Today's Posts Mark Forums Read

Go Back   MobileRead Forums > E-Book Software > Calibre > Development

Notices

Reply
 
Thread Tools Search this Thread
Old 04-28-2012, 10:55 AM   #1
sdm7g
Junior Member
sdm7g began at the beginning.
 
Posts: 5
Karma: 10
Join Date: Apr 2012
Device: kindle,iPhone,iPad
new developer: cssutils error in hello_world plugin

OK: I got the development environment working and was able to insert
some print statements and see the results in the terminal after running
'calibre-debug -g'

For the next step, I tried loading the hello_world plugin.
One attempting a conversion, I get the following error:

RuntimeError: You need cssutils >= 0.9.9 for calibre

I see that cssutils is NOT in the sources downloaded with bzr,
although there are .pyo files for cssutils in the /Application/calibre.app
bundle. (I'm working on MacOSX)

So is the issue that there is no cssutils in the source tree ?

Or is the problem that the cssutils in the Application bundle is the wrong version? (I'm running calibre 0.8.48)

And how do I fix this ?

-- sdm
sdm7g is offline   Reply With Quote
Old 04-28-2012, 10:56 AM   #2
kovidgoyal
creator of calibre
kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.
 
kovidgoyal's Avatar
 
Posts: 24,788
Karma: 4369673
Join Date: Oct 2006
Location: Mumbai, India
Device: Various
Update to calibre 0.8.49, then you will be able to run the source
kovidgoyal is online now   Reply With Quote
 
Enthusiast
Old 04-28-2012, 11:12 AM   #3
sdm7g
Junior Member
sdm7g began at the beginning.
 
Posts: 5
Karma: 10
Join Date: Apr 2012
Device: kindle,iPhone,iPad
Thanks. That fixed it.

I was used to getting prompted for automatic updates, so I thought my app was up to date.
Oddly, I got the version 0.8.48 from checking 'get info' on the app in the Finder.
But the version at the bottom of calibre's preferences pane shower 0.8.49

I manually downloaded and installed a new version and they both show 0.8.49,
and the plugin works.
sdm7g is offline   Reply With Quote
Old 04-28-2012, 11:22 AM   #4
kovidgoyal
creator of calibre
kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.
 
kovidgoyal's Avatar
 
Posts: 24,788
Karma: 4369673
Join Date: Oct 2006
Location: Mumbai, India
Device: Various
The version calibre shows is the version of the source code you are running, that's why there will be a little asterisk next to the version number in calibre when you run from source.
kovidgoyal is online now   Reply With Quote
Reply

Tags
calibre, development, error, hello_world, plugin

Thread Tools Search this Thread
Search this Thread:

Advanced Search

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
Calibre plugIn Kindle Collections Error message "Value Error:month..." readee Plugins 4 10-10-2011 11:21 AM
Plugin Developer Question KevinH Plugins 3 10-23-2010 08:17 PM
Error Adding Plugin modkindle Plugins 14 05-16-2010 12:14 PM
Error Customising PRS600 plugin markbond1007 Plugins 0 01-11-2010 07:18 AM


All times are GMT -4. The time now is 11:59 AM.


MobileRead.com is a privately owned, operated and funded community.